com.icesoft.faces.facelets.component.treetable

## Class TreeTable

- java.lang.Object
- - com.icesoft.faces.facelets.component.treetable.TreeTable

- All Implemented Interfaces:
    java.io.Serializable

      public class TreeTable
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeTable()`
    `TreeTable(ITreeTableListener listener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List` | `getLinearizedTree()`
    `ITreeTableListener` | `getListener()`
    `long` | `getUpdateTimestamp()`
    `void` | `rebuildList()` Event for rebuilding the tree table list after the treeModel has been changed.
    `void` | `setRootNode(TreeTableNode rootNode)`
    `void` | `updateTimestamp()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeTable

          public TreeTable()

    - #### TreeTable

          public TreeTable(ITreeTableListener listener)

  - ### Method Detail

    - #### setRootNode

          public void setRootNode(TreeTableNode rootNode)

    - #### getLinearizedTree

          public java.util.List getLinearizedTree()

      Returns:
        The rendered state of the tree table (only shows the currently displayed treeTable nodes)

    - #### rebuildList

          public void rebuildList()

      Event for rebuilding the tree table list after the treeModel has been changed. This event should be raised whenever the treeModel changes. (must be called as an event to force Seam to uncache the previous list value)

    - #### getListener

          public ITreeTableListener getListener()

    - #### getUpdateTimestamp

          public long getUpdateTimestamp()

    - #### updateTimestamp

          public void updateTimestamp()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.